Skip to content

Marketplace Offering Profiles

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/marketplace-offering-profiles/ List Marketplace Offering Profiles
GET /api/marketplace-offering-profiles/{uuid}/ Retrieve
POST /api/marketplace-offering-profiles/ Create
PUT /api/marketplace-offering-profiles/{uuid}/ Update
PATCH /api/marketplace-offering-profiles/{uuid}/ Partial Update
DELETE /api/marketplace-offering-profiles/{uuid}/ Delete
Other Actions
POST /api/marketplace-offering-profiles/{uuid}/add_role/ Add role
POST /api/marketplace-offering-profiles/{uuid}/remove_role/ Remove role

Core CRUD

List Marketplace Offering Profiles

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-offering-profiles/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_offering_profiles import marketplace_offering_profiles_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_offering_profiles_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_offering_profiles_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceOfferingProfilesList } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingProfilesList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
uuid string (uuid)
name string
description string
roles array of objects
roles.uuid string
roles.name string
roles.content_type string
roles.description string
offerings_count integer
created string (date-time)
modified string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-offering-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_offering_profiles import marketplace_offering_profiles_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_offering_profiles_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_offering_profiles_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceOfferingProfilesRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingProfilesRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type
uuid string (uuid)
name string
description string
roles array of objects
roles.uuid string
roles.name string
roles.content_type string
roles.description string
offerings_count integer
created string (date-time)
modified string (date-time)

Create

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/marketplace-offering-profiles/ \
  Authorization:"Token YOUR_API_TOKEN" \
  name="my-awesome-marketplace-offering-profile"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.offering_profile_request import OfferingProfileRequest # (1)
from waldur_api_client.api.marketplace_offering_profiles import marketplace_offering_profiles_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = OfferingProfileRequest(
    name="my-awesome-marketplace-offering-profile"
)
response = marketplace_offering_profiles_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: OfferingProfileRequest
  2. API Source: marketplace_offering_profiles_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceOfferingProfilesCreate } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingProfilesCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "name": "my-awesome-marketplace-offering-profile"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required
name string
description string

201 -

Field Type
uuid string (uuid)
name string
description string
roles array of objects
roles.uuid string
roles.name string
roles.content_type string
roles.description string
offerings_count integer
created string (date-time)
modified string (date-time)

Update

1
2
3
4
5
http \
  PUT \
  https://api.example.com/api/marketplace-offering-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  name="my-awesome-marketplace-offering-profile"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.offering_profile_request import OfferingProfileRequest # (1)
from waldur_api_client.api.marketplace_offering_profiles import marketplace_offering_profiles_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = OfferingProfileRequest(
    name="my-awesome-marketplace-offering-profile"
)
response = marketplace_offering_profiles_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: OfferingProfileRequest
  2. API Source: marketplace_offering_profiles_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { marketplaceOfferingProfilesUpdate } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingProfilesUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "name": "my-awesome-marketplace-offering-profile"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
name string
description string

200 -

Field Type
uuid string (uuid)
name string
description string
roles array of objects
roles.uuid string
roles.name string
roles.content_type string
roles.description string
offerings_count integer
created string (date-time)
modified string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/marketplace-offering-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_offering_profile_request import PatchedOfferingProfileRequest # (1)
from waldur_api_client.api.marketplace_offering_profiles import marketplace_offering_profiles_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedOfferingProfileRequest()
response = marketplace_offering_profiles_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedOfferingProfileRequest
  2. API Source: marketplace_offering_profiles_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceOfferingProfilesPartialUpdate } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingProfilesPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
name string
description string

200 -

Field Type
uuid string (uuid)
name string
description string
roles array of objects
roles.uuid string
roles.name string
roles.content_type string
roles.description string
offerings_count integer
created string (date-time)
modified string (date-time)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/marketplace-offering-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_offering_profiles import marketplace_offering_profiles_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_offering_profiles_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_offering_profiles_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceOfferingProfilesDestroy } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingProfilesDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Other Actions

Add role

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/marketplace-offering-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/add_role/ \
  Authorization:"Token YOUR_API_TOKEN" \
  role="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.offering_profile_role_assign_request import OfferingProfileRoleAssignRequest # (1)
from waldur_api_client.api.marketplace_offering_profiles import marketplace_offering_profiles_add_role # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = OfferingProfileRoleAssignRequest(
    role="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = marketplace_offering_profiles_add_role.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: OfferingProfileRoleAssignRequest
  2. API Source: marketplace_offering_profiles_add_role
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { marketplaceOfferingProfilesAddRole } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingProfilesAddRole({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "role": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
role string (uuid) Role UUID to add or remove.

200 -

Field Type
uuid string (uuid)
name string
description string
roles array of objects
roles.uuid string
roles.name string
roles.content_type string
roles.description string
offerings_count integer
created string (date-time)
modified string (date-time)

Remove role

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/marketplace-offering-profiles/a1b2c3d4-e5f6-7890-abcd-ef1234567890/remove_role/ \
  Authorization:"Token YOUR_API_TOKEN" \
  role="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.offering_profile_role_assign_request import OfferingProfileRoleAssignRequest # (1)
from waldur_api_client.api.marketplace_offering_profiles import marketplace_offering_profiles_remove_role # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = OfferingProfileRoleAssignRequest(
    role="a1b2c3d4-e5f6-7890-abcd-ef1234567890"
)
response = marketplace_offering_profiles_remove_role.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: OfferingProfileRoleAssignRequest
  2. API Source: marketplace_offering_profiles_remove_role
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { marketplaceOfferingProfilesRemoveRole } from 'waldur-js-client';

try {
  const response = await marketplaceOfferingProfilesRemoveRole({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "role": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
role string (uuid) Role UUID to add or remove.

200 -

Field Type
uuid string (uuid)
name string
description string
roles array of objects
roles.uuid string
roles.name string
roles.content_type string
roles.description string
offerings_count integer
created string (date-time)
modified string (date-time)